Package org.bukkit.event.entity

# Class EntityCombustByBlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityCombustEvent
org.bukkit.event.entity.EntityCombustByBlockEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityCombustByBlockEvent extends EntityCombustEvent
Called when a block causes an entity to combust.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityCombustByBlockEvent(@Nullable Block combuster, @NotNull Entity combustee, int duration)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Block`
`getCombuster()`
The combuster can be lava or a block that is on fire.

### Methods inherited from class org.bukkit.event.entity.EntityCombustEvent

`getDuration, getHandlerList, getHandlers, isCancelled, setCancelled, setDuration`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityCombustByBlockEvent

public EntityCombustByBlockEvent(@Nullable @Nullable Block combuster, @NotNull @NotNull Entity combustee, int duration)

## Method Details

### getCombuster

@Nullable public @Nullable Block getCombuster()
The combuster can be lava or a block that is on fire.

WARNING: block may be null.

Returns:
  the Block that set the combustee alight.